function index = SID(x, y, A)
     if sum(x)==0 || sum(y)==0
        index = 0;
     else
        a = A(:,find(x));
        b = A(:,find(y));
        p = a./repmat(sum(a),size(a,1),1);
        q = b./repmat(sum(b),size(b,1),1);
        for i = 1:size(a,2)
            for j = 1:size(b,2)
                pp = p(:,i);
                qq = q(:,j);
                pq = log(pp./qq);
                qp = log(qq./pp);
                SID(i,j) = sum(pp.*pq)+sum(qq.*qp);
            end
        end
        index = mean([mean(max(SID)),mean(max(SID,[],2))]);
     end
end