function mop = objectives(img_params)
 mop=struct('od',[],'pd',[],'domain',[],'func',[]);
 mop.pd=img_params.lib_size;
 mop.od=2;
 mop.domain=[zeros(img_params.lib_size,1) ones(img_params.lib_size,1)];
 mop.func=@evaluate;
    function y=evaluate(x, img_params)
        y=zeros(2,1);
        S = find(x);
        X = zeros(img_params.lib_size,img_params.img_size);
        if isempty(S)
            err = img_params.img;
        else
            X(S, :) = pinv(img_params.lib(:, S))*img_params.img;
            err = img_params.lib(:,S)*X(S,:)-img_params.img;
        end
        y(1) = abs(sum(x)-img_params.k);
        yy = abs(sum(x));
        if yy>0 && yy<2*img_params.k
            y(2) = norm(err,'fro');
        else
            y(2) = 1e+3;
        end
    end
end