function [ pp, individual] = smosu(mop, ind_dect, img_params, varargin)
    global params idealpoint ideali itrCounter;
    paramIn = varargin;
    [idealpoint, ideali, params, subproblems]=init(mop, img_params, paramIn);
    global lambda
    itrCounter=1;
    while itrCounter<params.iteration
        tic;
        if itrCounter>params.iter_lambda
            lambda = 0;
        end
        subproblems = evolve(subproblems, mop, img_params);
        pareto=[subproblems.curpoint];
        individual = [pareto.parameter];
        [index,~] = find(individual(:,1));
        disp('Indexes of the selected spectra:')
        disp(num2str(ind_dect(index)));
        figure(1)
        imshow(individual); 
        fprintf('iteration %u finished, time used: %u\n', itrCounter, toc);
        itrCounter=itrCounter+1;
    end
    pareto=[subproblems.curpoint];
    pp=[pareto.objective];
end